# $Revision: 1.9 $, $Date: 2009/12/07 09:57:43 $
Summary:	Power management service
Summary(pl.UTF-8):	Usługa zarządzania energią
Name:		DeviceKit-power
Version:	013
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	4fd56be8344556f55f86d476adbc9ab5
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.76
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.22.0
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libusb-compat-devel
BuildRequires:	pkgconfig
BuildRequires:	polkit-devel >= 0.91
BuildRequires:	udev-glib-devel
Requires:	pm-utils
Requires:	polkit >= 0.91
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DeviceKit-power provides a daemon, API and command line tools for
managing power devices attached to the system.

%description -l pl.UTF-8
DeviceKit-power dostarcza demona, API i narzędzia linii poleceń do
zarządzania urządzeniami energii dołączonymi do systemu.

%package apidocs
Summary:	DeviceKit-power API documentation
Summary(pl.UTF-8):	Dokumentacja API DeviceKit-power
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
DeviceKit-power API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API DeviceKit-power.

%package devel
Summary:	Header files for DeviceKit-power library
Summary(pl.UTF-8):	Nagłówki biblioteki DeviceKit-power
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 1.0.0
Requires:	glib2-devel >= 1:2.22.0

%description devel
Header files for DeviceKit library.

%description devel -l pl.UTF-8
Nagłówki biblioteki DeviceKit-power.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README
%attr(755,root,root) %{_bindir}/devkit-power
%attr(755,root,root) %{_libdir}/devkit-power-daemon
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/org.freedesktop.DeviceKit.Power.conf
%{_datadir}/dbus-1/interfaces/org.freedesktop.DeviceKit.Power.Device.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.DeviceKit.Power.QoS.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.DeviceKit.Power.Wakeups.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.DeviceKit.Power.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.DeviceKit.Power.service
%{_datadir}/polkit-1/actions/org.freedesktop.devicekit.power.policy
%{_datadir}/polkit-1/actions/org.freedesktop.devicekit.power.qos.policy
%attr(755,root,root) %{_libdir}/libdevkit-power-gobject.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdevkit-power-gobject.so.1
%config(noreplace) %verify(not md5 mtime size) /lib/udev/rules.d/95-devkit-power-battery-recall-*.rules
%config(noreplace) %verify(not md5 mtime size) /lib/udev/rules.d/95-devkit-power-csr.rules
%config(noreplace) %verify(not md5 mtime size) /lib/udev/rules.d/95-devkit-power-hid.rules
%config(noreplace) %verify(not md5 mtime size) /lib/udev/rules.d/95-devkit-power-wup.rules
%{_mandir}/man1/devkit-power.1*
%{_mandir}/man7/DeviceKit-power.7*
%{_mandir}/man8/devkit-power-daemon.8*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/devkit-power

%files devel
%defattr(644,root,root,755)
%{_includedir}/DeviceKit-power
%attr(755,root,root) %{_libdir}/libdevkit-power-gobject.so
%{_libdir}/libdevkit-power-gobject.la
%{_pkgconfigdir}/devkit-power-gobject.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: DeviceKit-power.spec,v $
Revision 1.9  2009/12/07 09:57:43  patrys
- 013

Revision 1.8  2009/11/28 01:35:30  sparky
- BR: docbook-dtd412-xml

Revision 1.7  2009/10/24 22:19:13  megabajt
- updated to 012

Revision 1.6  2009/10/06 09:49:51  patrys
- 011

Revision 1.5  2009/07/22 20:38:03  patrys
- 010

Revision 1.4  2009/07/06 13:03:05  patrys
- 009
- dropped input patch (applied upstream)

Revision 1.3  2009/05/25 09:20:03  patrys
- add patch not to lose polling upon unknown battery state
- rel 2

Revision 1.2  2009/03/31 08:51:45  patrys
- 007
- fixes CVE-2008-4311
- add devel package

Revision 1.1  2009/03/14 12:21:01  megabajt
- new

